import {Component, ElementRef, HostListener, Input, OnInit, ViewChild} from '@angular/core';
import {NgbDateStruct} from '@ng-bootstrap/ng-bootstrap';

@Component({
  selector: 'dc-date-picker',
  template: `
    <div class="form-group">
      <div class="input-group">
        <input class="form-control" placeholder="yyyy-mm-dd"
               name="dp" [(ngModel)]="model" ngbDatepicker #d="ngbDatepicker">
        <div class="input-group-append">
          <button class="btn btn-outline-secondary" (click)="d.toggle()" type="button">
            <!--<img src="img/calendar-icon.svg" style="width: 1.2rem; height: 1rem; cursor: pointer;"/>-->
            <span>显示日期</span>
          </button>W
        </div>
      </div>
    </div>
  `,
  styleUrls: []
})
export class DatePickerComponent implements OnInit {

  @Input() model;

  constructor() {

  }

  ngOnInit() {

  }
}
