import {
  Component, EventEmitter, Input, OnInit, Output
} from '@angular/core';

@Component({
  selector: 'app-left-side',
  templateUrl: './left.side.component.html',
  styleUrls: ['./left.side.component.css']
})
export class LeftSideComponent implements OnInit {
  @Input() item;
  @Output() toogleSide = new EventEmitter();
  sideShow = true;

  constructor() {

  }

  ngOnInit() {
  }

  toogleLeftSide() {
    this.sideShow = !this.sideShow;
    this.toogleSide.emit(this.sideShow);
  }
}
