import { Component, Input, Output, EventEmitter, OnInit } from '@angular/core';
import { Router, NavigationStart, NavigationEnd, NavigationCancel, NavigationError, RoutesRecognized } from '@angular/router';

@Component({
  selector: 'dc-table-column',
  templateUrl: './column.component.html',
  styleUrls: ['./table.component.css', '../plugin.css']
})
export class TableColumnComponent implements OnInit {
  ngOnInit(): void {
    if (this.header.field == this.field) {
      this.show = true;
    }
  }
  @Input() header: any;
  @Input() data: any;
  @Input() field: string;
  show: boolean;
  constructor(private router: Router) {

  }

}
