import {Component} from '@angular/core';
import {selector} from 'rxjs/operator/publish';
import {NgbActiveModal} from '@ng-bootstrap/ng-bootstrap';

@Component({
  selector: 'dc-modal-tip',
  moduleId: module.id,
  templateUrl: './modal.tip.component.html',
  styleUrls: ['./modal.tip.component.css'],
})

export class ModalTipComponent {
  constructor(private activeModal: NgbActiveModal) {
  }

  closeModal(type) {
    /*this.activeModal.close({
      data: '数据'
    });*/
    if (type == 'ok') {
      this.activeModal.close('ok');
    } else {
      this.activeModal.dismiss('cancel');
    }
  }
}
